cmdargs

Safe Haskell | Safe-Infered

System.Console.CmdArgs.Test.GetOpt

# Documentation

data Flag

Constructors

Verbose |
Version |
Name String |
Output String |
Arg String |

Instances

Data Flag |
Show Flag |
Typeable Flag |

options :: [OptDescr Flag]

out :: Maybe String -> Flag

tester :: [String] -> (String, String)

mode :: Mode ([Flag], [String])

demo :: [Mode Demo]

test :: IO ()

(===) :: (String, b) -> String -> IO ()